/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.dashboard.web.client.internal.Constants");

(function() {

/*
 * Client-related constants.
 */
com.ibm.team.dashboard.web.client.internal.Constants = {
	
	/*
	 * Modification types.
	 */
	MODIFICATION_TYPE_ADD_VIEWLET: 1,
	MODIFICATION_TYPE_MOVE_VIEWLET: 2,
	MODIFICATION_TYPE_REMOVE_VIEWLET: 3,
	MODIFICATION_TYPE_SET_DASHBOARD_TITLE: 4,
	MODIFICATION_TYPE_SET_VIEWLET_MEMENTO: 5,
	MODIFICATION_TYPE_SET_VIEWLET_PAGE_TITLE: 6,
	MODIFICATION_TYPE_SET_VIEWLET_PREFERENCES: 7,
	MODIFICATION_TYPE_SET_VIEWLET_SCOPE: 8,
	MODIFICATION_TYPE_SET_VIEWLET_SCOPE_ITEM: 9,
	MODIFICATION_TYPE_SET_VIEWLET_SHOW_BACKGROUND: 10,
	MODIFICATION_TYPE_SET_VIEWLET_TITLE: 11,
	MODIFICATION_TYPE_SET_VIEWLET_TRIM: 12,
	MODIFICATION_TYPE_CHANGE_COLUMNS: 13,
	MODIFICATION_TYPE_ADD_VIEWLET_PAGE: 14,
	MODIFICATION_TYPE_REMOVE_VIEWLET_PAGE: 15,
	MODIFICATION_TYPE_SET_VIEWLET_SCOPE_SUBTEAMS: 16,
	MODIFICATION_TYPE_SET_VIEWLET_USER_TITLE: 17,
	MODIFICATION_TYPE_MOVE_VIEWLET_PAGE: 18,
	
	/*
	 * Service URI.
	 */
	SERVICE_URI: "com.ibm.team.dashboard.common.internal.service.IDashboardRestService"

};

})();