/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({

	// Parameter Names

	'msgSeverity': "Severity",
	'msgPriority': "Priority",
	'msgCategory': "Category",
	'msgOwnedBy': "Owned By",
	'msgCreatedBy': "Created By",
	'msgResolution': "Resolution",
	'msgStatus': "Status",
	'msgType': "Type",
	'msgTags': "Tags",
	'msgUnknown': "Unknown",
	
	'msgUndefined': "Undefined",
	'msgOther': "Other",
	
	// Table Presentation Messages
	
	'msgCount': "Count",
	'msgIcon': "icon",	
	
	// List Presentation Messages
	
	'msgDownArrow': "[Down Arrow] ",	
	'msgUpArrow': "[Up Arrow] ",	
	'msgShowMore': "Show More",
	'msgShowLess': "Show Less",
	'msgShowFrequencies': "Show Frequencies",	
	'msgHideFrequencies': "Hide Frequencies",	
	
	// Error Messages
	
	'msgDrillChartParamsUndef': "Work item drill-in failure encountered.\nChart parameters are undefined.",	
	'msgEventParseFailure': "Event parsing failure",
	'msgFilterImageNotFound': "List filter icon image not found",	
	'msgUnknownFilterAction': "Unknown filter action: ${0}",
	'msgNoElementWithName': "No element associated with name: ${0}",
	'msgChartLoadingFailure': "Chart loading failure",
	'msgWorkItemQueryFailure': "Work item query failure",
	'msgNoDrillInUndefParams': "[Information] Work item drill-in support is not available for undefined parameter values.",
	'msgNoFilterNameForParam': "Work item drill-in failure encountered.\nNo internal filter name for parameter, '${0}'",
	'msgNoFilterValueForLabel': "Work item drill-in failure encountered.\nNo internal filter value for label, '${0}'",
	'msgInvalidURLDetected': "Work item drill-in failure encountered.\nInvalid URL detected:\n${0}",
	'msgChartParamsUndef': "Chart parameters are undefined.",
	'msgChartDimenUpdateFailed': "Failed to update chart dimensions",
	'msgWorkItemDTOParseFailed': "Work item results DTO parsing failure",
	'msgChartParamGenFailure': "Chart parameter generation failure",
	'msgUnknownPresentationVal': "Unrecognized presentation value: ${0}",
	'msgUnknownPresentation': "Unknown presentation",
	'msgUnknownParameterVal': "Unrecognized parameter value: ${0}",
	'msgWorkItemDTOProblem': "Work item DTO parsing failure",
	'msgMissingPreference': "Missing preference",
	'msgNotValidObjectType': "Variable is not a valid object type: ${0}",
	'msgVariableIsNull': "Variable is null: ${0}",
	'msgVariableIsNotANumber': "Variable is not a number: ${0}",
	'msgVariableIsNotAString': "Variable is not a string: ${0}",
	'msgVariableIsZeroLength': "Variable is zero length: ${0}",
	'msgVariableIsNotAnArray': "Variable is not an array: ${0}",
	'msgPropertyDoesNotExist': "Property does not exist: ${0}.${1}",
	'msgError': "[Error] ${0}",
	
	// Status Messages
	
	'msgNoWorkItemQueryDef': "No work item query defined.",
	'msgWorkItemQueryNotExist': "The work item query does not exist.",
	'msgNoWorkItemsFound': "No work items found using this query.",
	'msgNoWorkItemsFoundGrouping': "No work items found using this query contain values for the grouping parameter: '${0}'.",
	
	// Actionable Status Messages
	
	'msgNoWorkItemQueryDefAction': "No work item query defined. Please <0>select a query</0>.",
	'msgWorkItemQueryNotExistAction': "The work item query does not exist. Please <0>select a new query</0>.",
	
	// Parameter Name Chooser Dialog

	'msgSelectParameterName': "Select Parameter Name",
	'msgButtonOK': "OK",
	'msgButtonCancel': "Cancel",
	'msgInvalidOptionFormat': "[Error] Selected option has an invalid format: ${0}",
		
	// General
	
	'msgLoading': "Loading..."
	
})